# checking pcr7 value and rebooting
- test:
    timeout:
      minutes: 15
      skip: false
    interactive:
    - name: filesystem-encryption
      prompts: ["root@(.*):[/~]#"]
      echo: discard
      script:
      - name: read-pcr7
        command: "tpm2_pcrread sha256:7"

    - name: filesystem-encryption
      echo: discard
      prompts: ["{{reboot_finished_message or "reboot: Restarting system"}}"]
      script:
      - command: "{{reboot_command or "reboot"}}"

{% if settings.LAVA_DEVICE == "rk3399-rock-pi-4b" %}
- command:
    name: hard_reset
{% endif %}

- test:
    timeout:
      minutes: 15
      skip: false
    interactive:
    - name: filesystem-encryption
      echo: discard
      prompts: ["Hit any key to stop autoboot", "=> "]
      script:
      - command: # wait for first prompt
      - command: " " # hit enter to stop autoboot
      - name: reset-pcr7
        command: "mw.b $loadaddr a && tpm init && tpm startup TPM2_SU_CLEAR && tpm pcr_extend 7 $loadaddr"

    - name: filesystem-encryption
      echo: discard
      prompts: ["TPM Error"]
      script:
      - name: bad-pcr7-cause-kernel-panic
        command: "run bootcmd"

# wait for boot to userspace
- boot:
    timeout:
      minutes: 20
    method: minimal
    reset: false
    auto_login:
      login_prompt: 'login:'
      username: "root"
      login_commands:
        - sudo su -
    prompts:
      - .*ewaol@(.*):[/~]\$
      - .*root@(.*):[/~]#

# booting with bad pcr7 value and check that it's reset after unsuccesful reboot
- test:
    timeout:
      minutes: 5
      skip: true
    interactive:
    - name: filesystem-encryption
      prompts:
        - .*ewaol@(.*):[/~]\$
        - .*root@(.*):[/~]#
      echo: discard
      script:
      - name: pcr7-reset-on-reboot-after-panic
        command: "tpm2_pcrread sha256:7"
